import { createRoot } from 'react-dom/client';

// import data, simulate data retrieval from database, *personsData* is an Array object
import personsData from '../data/personsData.js';

// import React component
import Person from '../components/person.jsx'
import PersonListing from '../components/personListing.jsx';

const bootstrapReact = () => {
   const root = createRoot(document.getElementById('insertReactHere'));  // parent for created element = "insertion point"

   const component = <PersonListing persons={personsData}>
                        <h3>This node and followings are children and then correspond to prop <code>children</code></h3>
                        <Person   age={42} />
                        <Person name="New One" age={1} />
                        <Person name="Mysterious"   />
                     </PersonListing>;

   root.render(component);
}


window.addEventListener('DOMContentLoaded', bootstrapReact);
